<?php session_start();  ?>

<?php 

### French Version 
$calendar_txt2['french']['monthes']         = array('', 'Janvier', 'Février', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 
                                            'Août', 'Septembre', 'Octobre', 'Novembre', 'Décembre'); 
$calendar_txt2['french']['days']            = array('Lundi', 'Mardi', 'Mercredi','Jeudi', 'Vendredi', 'Samedi',    'Dimanche'); 
$calendar_txt2['french']['first_day']    = 0; 
$calendar_txt2['french']['misc']         = array('Mois précédent', 'Mois suivant','Jour précédent', 'Jour suivant'); 

### English version 
$calendar_txt2['english']['monthes']     = array('', 'January', 'February', 'March',    'April', 'May', 'June', 'July',  
                                            'August', 'September', 'October','November', 'December'); 
$calendar_txt['english']['days']        = array('Monday', 'Tuesday', 'Wednesday','Thursday', 'Friday', 'Saturday','Sunday'); 
$calendar_txt['english']['first_day']   = -1; 
$calendar_txt['english']['misc']        = array('Previous month', 'Next month', 'Previous day', 'Next day'); 
                                             
### Spanish version 
$calendar_txt2['spanish']['monthes']     = array('', 'Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 
                                            'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'); 
$calendar_txt2['spanish']['days']        = array('Lunes', 'Martes', 'Mi&eacute;rcoles', 'Jueves', 'Viernes', 'S&aacute;bado', 'Domingo'); 
$calendar_txt2['spanish']['first_day']   = 0; 
$calendar_txt2['spanish']['misc']        = array('Mes anterior', 'Mes pr&oacute;ximo', 'd&iacute;a anterior', 'd&iacute;a siguiente'); 
                                             
### German version 
$calendar_txt['german']['monthes']        = array('', 'Januar', 'Februar', 'M&auml;rz', 'April', 'Mai', 'Juni', 'Juli', 
                                            'August', 'September', 'Oktober','November', 'Dezember'); 
$calendar_txt2['german']['days']         = array('Montag', 'Dienstag', 'Mittwoch', 'Donnerstag','Freitag','Samstag', 'Sonntag'); 
$calendar_txt2['german']['first_day']    = 0; 
$calendar_txt2['german']['misc']         = array('Vorhergehender Monat', 'Folgender Monat', 'Vorabend', 'Am n&auml;chsten Tag'); 

function calendar2($date = '') { 
    Global $link_on_day, $PHP_SELF, $params; 
    Global $HTTP_POST_VARS, $HTTP_GET_VARS; 
    Global $calendar_txt2; 

    ### Default Params      
    $param_d['calendar_id2']            = 1; // Calendar ID 
    $param_d['calendar_columns2']     = 5; // Nb of columns 
    $param_d['show_day']             = 1; // Show the day bar 
    $param_d['show_month']            = 1; // Show the month bar 
    $param_d['nav_link']            = 1; // Add a nav bar below 
    $param_d['link_after_date']        = 1; // Enable link on days after the current day 
    $param_d['link_before_date']    = 0; // Enable link on days before the current day 

    $param_d['link_on_day']            = $PHP_SELF.'?date2=%%dd%%'; // Link to put on each day 
    $param_d['font_face']            = 'Verdana, Arial, Helvetica'; // Default font to use 
    $param_d['font_size']            = 10; // Font size in px 
     
    $param_d['bg_color']            = '#FFFFFF';  
    $param_d['today_bg_color']        = '#A0C0C0'; 
    $param_d['font_today_color']    = '#990000'; 
    $param_d['font_color']            = '#000000'; 
    $param_d['font_nav_bg_color']    = '#A9B4B3'; 
     
    $param_d['font_nav_color']        = '#FFFFFF'; 
    $param_d['font_header_color']    = '#FFFFFF'; 
    $param_d['border_color']        = '#3f6551'; 
    $param_d['use_img']                = 1; // Use gif for nav bar on the bottom 
     
    ### New params V2 
    $param_d['lang']                = 'english'; 
    $param_d['font_highlight_color']= '#FF0000'; 
    $param_d['bg_highlight_color']  = '#00FF00'; 
    $param_d['day_mode']            = 0; 
    $param_d['time_step']            = 30; 
    $param_d['time_start']            = '0:00'; 
    $param_d['time_stop']            = '24:00'; 
    $param_d['highlight']            = array(); 
    // Can be 'hightlight' or 'text' 
    $param_d['highlight_type']      = 'highlight'; 
    $param_d['cell_width']          = 20; 
    $param_d['cell_height']         = 20; 
    $param_d['short_day_name']      = 1; 
    $param_d['link_on_hour']        = $PHP_SELF.'?hour=%%hh%%'; 
     
    ### /Params     
    ### Getting all params 
    while (list($key, $val2) = each($param_d)) { 
        if (isset($params[$key])) { 
            $param[$key] = $params[$key]; 
        } 
        else { 
            $param[$key] = $param_d[$key]; 
        } 
   } 
     
    $monthes_name = $calendar_txt2[$param['lang']]['monthes']; 
    $param['calendar_columns2'] = ($param['show_day']) ? 7 : $param['calendar_columns2']; 
     
    $date = priv_reg_glob_calendar2('date'); 
    if ($date == '') { 
        $timestamp = time(); 
    } 
    else { 
        $month         = substr($date, 4 ,2); 
        $day         = substr($date, 6, 2); 
        $year        = substr($date, 0 ,4); 
        $timestamp     = mktime(0, 0, 0, $month, $day, $year); 
    } 
     
     
    $current_day         = date("d", $timestamp); 
    //$current_month         = date('n', $timestamp); 
    $month_id_2 =  $_SESSION['month_id_2'] ;
      $current_month = $month_id_2;

    //$current_year         = date('Y', $timestamp);  
    $year_id_2 =  $_SESSION['year_id_2'] ;
      $current_year = $year_id_2; 
      
    $first_decalage     = date("w", mktime(0, 0, 0, $current_month, 1, $current_year)); 
    ### Sunday is the _LAST_ day 
    $first_decalage        = ( $first_decalage == 0 ) ? 7 : $first_decalage; 
         
    $current_day_index    = date('w', $timestamp) + $calendar_txt2[$param['lang']]['first_day'] - 1; 
    $current_day_index    = ($current_day_index == -1) ? 7 : $current_day_index;     
    $current_day_name    = $calendar_txt2[$param['lang']]['days'][$current_day_index]; 
    $current_month_name = $monthes_name[$current_month]; 
    $nb_days_month         = date("t", $timestamp); 
     
    $current_timestamp2     = mktime(23,59,59,date("m"), date("d"), date("Y")); 
     
    ### CSS 
    $output2  = '<style type="text/css">'."\n"; 
    $output2 .= '<!--'."\n"; 
    $output2 .= '    .calendarNav'.$param['calendar_id2'].'     {  font-family: '.$param['font_face'].'; font-size: '.($param['font_size']-1).'px; font-style: normal; background-color: '.$param['border_color'].'}'."\n"; 
    $output2 .= '    .calendarTop'.$param['calendar_id2'].'     {  font-family: '.$param['font_face'].'; font-size: '.($param['font_size']+1).'px; font-style: normal; color: '.$param['font_header_color'].'; font-weight: bold;  background-color: '.$param['border_color'].'}'."\n"; 
    $output2 .= '    .calendarToday'.$param['calendar_id2'].' {  font-family: '.$param['font_face'].'; font-size: '.$param['font_size'].'px; font-weight: bold; color: '.$param['font_today_color'].'; background-color: '.$param['today_bg_color'].';}'."\n"; 
    $output2 .= '    .calendarDays'.$param['calendar_id2'].'     {  width:'.$param['cell_width'].'; height:'.$param['cell_height'].'; font-family: '.$param['font_face'].'; font-size: '.$param['font_size'].'px; font-style: normal; color: '.$param['font_color'].'; background-color: '.$param['bg_color'].'; text-align: center}'."\n"; 
    $output2 .= '    .calendarHL'.$param['calendar_id2'].'     {  width:'.$param['cell_width'].'; height:'.$param['cell_height'].';font-family: '.$param['font_face'].'; font-size: '.$param['font_size'].'px; font-style: normal; color: '.$param['font_highlight_color'].'; background-color: '.$param['bg_highlight_color'].'; text-align: center}'."\n"; 
    $output2 .= '    .calendarHeader'.$param['calendar_id2'].'{  font-family: '.$param['font_face'].'; font-size: '.($param['font_size']-1).'px; background-color: '.$param['font_nav_bg_color'].'; color: '.$param['font_nav_color'].';}'."\n"; 
    $output2 .= '    .calendarTable'.$param['calendar_id2'].' {  background-color: '.$param['border_color'].'; border: 1px '.$param['border_color'].' solid}'."\n"; 
    $output2 .= '-->'."\n"; 
    $output2 .= '</style>'."\n"; 
    $output2 .= '<table border="0" class="calendarTable'.$param['calendar_id2'].'" cellpadding="2" cellspacing="1">'."\n"; 
     
    ### Displaying the current month/year 
    if ($param['show_month'] == 1) { 
        $output2 .= '<tr>'."\n"; 
        $output2 .= '    <td colspan="'.$param['calendar_columns2'].'" align="center" class="calendarTop'.$param['calendar_id2'].'">'."\n"; 
        ### Insert an img at will 
        if ($param['use_img'] ) { 
            $output2 .= '<img src="mois.gif">'; 
        } 
        if ( $param['day_mode'] == 1 ) { 
            $output2 .= '        '.$current_day_name.' '.$current_day.' '.$current_month_name.' '.$current_year."\n"; 
        } 
        else { 
            $output2 .= '        '.$current_month_name.' '.$current_year."\n"; 
        } 
        $output2 .= '    </td>'."\n"; 
        $output2 .= '</tr>'."\n"; 
    } 
     
    ### Building the table row with the days 
    if ($param['show_day'] == 1 && $param['day_mode'] == 0) { 
        $output2 .= '<tr align="center">'."\n"; 
        $first_day = $calendar_txt2[$param['lang']]['first_day']; 
        for ($i = $first_day; $i < 7 + $first_day; $i++) { 
             
            $index = ( $i >= 7) ? (7 + $i): $i; 
            $index = ($i < 0) ? (7 + $i) : $i; 
             
            $day_name = ( $param['short_day_name'] == 1 ) ? substr($calendar_txt2[$param['lang']]['days'][$index], 0, 1) : $calendar_txt2[$param['lang']]['days'][$index]; 
            $output2 .= '    <td class="calendarHeader'.$param['calendar_id2'].'"><b>'.$day_name.'</b></td>'."\n"; 
        } 
         
        $output2 .= '</tr>'."\n";     
        $first_decalage = $first_decalage - $calendar_txt2[$param['lang']]['first_day']; 
        $first_decalage = ( $first_decalage > 7 ) ? $first_decalage - 7 : $first_decalage; 
    } 
    else { 
        $first_decalage = 0;     
    } 
     
    $output2 .= '<tr align="center">'; 
    $int_counter = 0; 
     
     
    if ( $param['day_mode'] == 1 ) { 
        list($hour_start, $min_start)     = explode(':', $param['time_start']); 
        list($hour_end, $min_end)        = explode(':', $param['time_stop']); 
        $ts_start     = ( $hour_start * 60 ) + $min_start; 
        $ts_end        = ( $hour_end * 60 ) + $min_end; 
        $nb_steps    = ceil( ($ts_end - $ts_start) / $param['time_step'] ); 
         
        for ( $i = 0; $i <= $nb_steps; $i++ ) { 
            $current_ts        = ($ts_start) + $i * $param['time_step']; 
            $current_hour     = floor($current_ts / 60); 
            $current_min     = $current_ts % 60; 
            $current_hour     = (strlen($current_hour) < 2) ? '0'.$current_hour : $current_hour; 
            $current_min     = (strlen($current_min) < 2) ? '0'.$current_min : $current_min; 
         
               $highlight_current2  = ( isset($param['highlight'][date('Ymd', $timestamp).$current_hour.$current_min]) ); 
            $css_2_use2          = ( $highlight_current2 ) ? 'HL' : 'Days'; 
            $txt_2_use          = ( $highlight_current2 && $param['highlight_type'] == 'text') ? $param['highlight'][date('Ymd', $timestamp).$current_hour.$current_min] : ''; 
  
            $output2 .= '<tr>'."\n"; 
            if ( $param['link_on_hour'] != '') { 
                $output2 .= '    <td class="calendar'.$css_2_use2.$param['calendar_id2'].'" width="10%"><a href="'.str_replace('%%hh%%', date('Ymd', $timestamp).$current_hour.$current_min, $param['link_on_hour']).'">'.$current_hour.':'.$current_min.'</a></td>'."\n"; 
            } 
            else { 
                $output2 .= '    <td class="calendar'.$css_2_use2.$param['calendar_id2'].'" width="10%">'.$current_hour.':'.$current_min.'</td>'."\n"; 
            } 
            $output2 .= '    <td class="calendar'.$css_2_use2.$param['calendar_id2'].'">'.$txt_2_use.'</td>    '."\n"; 
            $output2 .= '</tr>'."\n";     
        } 
         
    } 
    else { 
        # Filling with empty cells at the begining 
        for ($i = 1; $i < $first_decalage; $i++) { 
            $output2 .= '<td class="calendarDays'.$param['calendar_id2'].'">&nbsp;</td>'."\n"; 
            $int_counter++; 
        } 
        ### Building the table 
        for ($i = 1; $i <= $nb_days_month; $i++) { 
            ### Do we highlight the current day ? 
            $i_2 = ($i < 10) ? '0'.$i : $i;         
            $highlight_current2 = ( isset($param['highlight'][date('Ym', $timestamp).$i_2]) );     
            ### Row start 
            if ( ($i + $first_decalage) % $param['calendar_columns2'] == 2 && $i != 1) { 
                $output2 .= '<tr align="center">'."\n"; 
                $int_counter = 0; 
            } 
             
            $css_2_use2 = ( $highlight_current2 ) ? 'HL' : 'Days'; 
            $txt_2_use = ( $highlight_current2 && $param['highlight_type'] == 'text') ? '<br>'.$param['highlight'][date('Ym', $timestamp).$i_2] : ''; 
             
            if ($i == $current_day) { 
                $output2 .= '<td class="calendarToday'.$param['calendar_id2'].'" align="center">'.$i.$txt_2_use.'</td>'."\n"; 
            } 
            elseif ($param['link_on_day'] != '') { 
                $loop_timestamp = mktime(0,0,0, $current_month, $i, $current_year); 
                 
                if (( ($param['link_after_date'] == 0) && ($current_timestamp2 < $loop_timestamp)) || (($param['link_before_date'] == 0) && ($current_timestamp2 >= $loop_timestamp)) ){ 
                    $output2 .= '<td class="calendar'.$css_2_use2.$param['calendar_id2'].'">'.$i.$txt_2_use.'</td>'."\n"; 
                } 
                else { 
                    $output2 .= '<td class="calendar'.$css_2_use2.$param['calendar_id2'].'"><a href="'.str_replace('%%dd%%', $current_year.$current_month.$i_2,$param['link_on_day']).'">'.$i.'</a>'.$txt_2_use.'</td>'."\n"; 
                } 
            } 
            else { 
                $output2 .= '<td class="calendar'.$css_2_use2.$param['calendar_id2'].'">'.$i.'</td>'."\n"; 
            }     
            $int_counter++; 
             
            ### Row end 
            if (  ($i + $first_decalage) % ($param['calendar_columns2'] ) == 1 ) { 
                $output2 .= '</tr>'."\n";     
            } 
        } 
        $cell_missing = $param['calendar_columns2'] - $int_counter; 
         
        for ($i = 0; $i < $cell_missing; $i++) { 
            $output2 .= '<td class="calendarDays'.$param['calendar_id2'].'">&nbsp;</td>'."\n"; 
        } 
        $output2 .= '</tr>'."\n"; 
    } 
    ### Display the nav links on the bottom of the table 
    if ($param['nav_link'] == 0) { 
        $previous_month = date("Ymd",      
                                mktime( 12,  
                                        0,  
                                        0,  
                                        ($current_month - 1), 
                                        $current_day, 
                                        $current_year 
                                       ) 
                                ); 
                                 
        $previous_day     = date("Ymd",      
                                mktime( 12,  
                                        0,  
                                        0,  
                                        $current_month, 
                                        $current_day - 1, 
                                        $current_year 
                                       ) 
                                ); 
        $next_day         = date("Ymd",      
                                mktime( 1,  
                                        12,  
                                        0,  
                                        $current_month, 
                                        $current_day + 1, 
                                        $current_year 
                                       ) 
                                ); 
        $next_month        = date("Ymd",      
                                mktime( 1,  
                                        12,  
                                        0,  
                                        $current_month + 1, 
                                        $current_day, 
                                        $current_year 
                                       ) 
                                ); 
         

        if ($param['use_img']) { 
            $g     = '<img src="g.gif" border="0">'; 
            $gg = '<img src="gg.gif" border="0">'; 
            $d     = '<img src="d.gif" border="0">'; 
            $dd = '<img src="dd.gif" border="0">'; 
        } 
        else { 
            $g     = '&lt;'; 
            $gg = '&lt;&lt;'; 
            $d = '&gt;'; 
            $dd = '&gt;&gt;'; 
        } 

        if ( ($param['link_after_date'] == 0)  
                && ($current_timestamp < mktime(0,0,0, $current_month, $current_day+1, $current_year)) 
            ) { 
            $next_day_link = '&nbsp;'; 
        } 
        else { 
            $next_day_link         = '<a href="'.$PHP_SELF.'?date1='.$next_day.'" title="'.$calendar_txt2[$param['lang']]['misc'][3].'">'.$d.'</a>'."\n"; 
        } 

        if ( ($param['link_before_date'] == 0)  
                && ($current_timestamp2 > mktime(0,0,0, $current_month, $current_day-4, $current_year)) 
            ){ 
            $previous_day_link = '&nbsp;'; 
        } 
        else { 
            $previous_day_link         = '<a href="'.$PHP_SELF.'?date1='.$previous_day.'" title="'.$calendar_txt2[$param['lang']]['misc'][2].'">'.$g.'</a>'."\n"; 
        } 
         
        if ( ($param['link_after_date'] == 0)  
                && ($current_timestamp2 < mktime(0,0,0, $current_month+1, $current_day, $current_year)) 
            ) { 
            $next_month_link = '&nbsp;';         
        } 
        else { 
            $next_month_link     = '<a href="'.$PHP_SELF.'?date1='.$next_month.'" title="'.$calendar_txt2[$param['lang']]['misc'][1].'">'.$dd.'</a>'."\n"; 
        } 

        if  ( ($param['link_before_date'] == 0)  
                && ($current_timestamp2 >= mktime(0,0,0, $current_month-1, $current_day, $current_year)) 
            ){ 
            $previous_month_link = '&nbsp;';         
        } 
        else { 
            $previous_month_link     = '<a href="'.$PHP_SELF.'?date1='.$previous_month.'" title="'.$calendar_txt2[$param['lang']]['misc'][0].'">'.$gg.'</a>'."\n"; 
        } 
         
        $output2 .= '<tr>'."\n"; 
        $output2 .= '    <td colspan="'.$param['calendar_columns2'].'" class="calendarDays'.$param['calendar_id2'].'">'."\n"; 
        $output2 .= '        <table width="100%" border="0" >'; 
        $output2 .= '        <tr>'."\n"; 
        $output2 .= '            <td width="25%" align="left" class="calendarDays'.$param['calendar_id2'].'">'."\n"; 
        $output2 .=                     $previous_month_link; 
        $output2 .= '            </td>'."\n"; 
        $output2 .= '            <td width="25%" align="center" class="calendarDays'.$param['calendar_id2'].'">'."\n"; 
        $output2 .=                     $previous_day_link; 
        $output2 .= '            </td>'."\n"; 
        $output2 .= '            <td width="25%" align="center" class="calendarDays'.$param['calendar_id2'].'">'."\n"; 
        $output2 .=                     $next_day_link; 
        $output2 .= '            </td>'."\n"; 
        $output2 .= '            <td width="25%" align="right" class="calendarDays'.$param['calendar_id2'].'">'."\n"; 
        $output2 .=                     $next_month_link; 
        $output2 .= '            </td>'."\n"; 
        $output2 .= '        </tr>'; 
        $output2 .= '        </table>'; 
        $output2 .= '    </td>'."\n"; 
        $output2 .= '</tr>'."\n"; 
         
    } 
    $output2 .= '</table>'."\n"; 
    echo $output2;
    

    ////////////////////////////////////////////////////////////////////////////////  
} 

echo $output2; 
//echo $next_day_link; 

function priv_reg_glob_calendar2($var2) { 
    Global $HTTP_GET_VARS, $HTTP_POST_VARS; 
     
    if (isset($HTTP_GET_VARS[$var2])) { 
        return $HTTP_GET_VARS[$var2]; 
    } 
    elseif (isset($HTTP_POST_VARS[$var2])) { 
        return $HTTP_POST_VARS[$var2]; 
    } 
    else { 
        return ''; 
    }     
} 


    $_SESSION['day2'] = $_GET["date2"];
    
 ?>